OGRE: Ogre::MovableObject::Listener Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::MovableObject::Listener Class Reference

Listener which gets called back on MovableObject events. More...

`#include <OgreMovableObject.h>`

List of all members.

## Public Member Functions

| Listener (void)
virtual | ~Listener ()
virtual void | objectDestroyed (MovableObject *)
| MovableObject is being destroyed.
virtual void | objectAttached (MovableObject *)
| MovableObject has been attached to a node.
virtual void | objectDetached (MovableObject *)
| MovableObject has been detached from a node.
virtual void | objectMoved (MovableObject *)
| MovableObject has been moved.
virtual bool | objectRendering (const MovableObject *, const Camera *)
| Called when the movable object of the camera to be used for rendering.
virtual const LightList * | objectQueryLights (const MovableObject *)
| Called when the movable object needs to query a light list.

## Detailed Description

Listener which gets called back on MovableObject events.

Definition at line 59 of file OgreMovableObject.h.

## Constructor & Destructor Documentation

Ogre::MovableObject::Listener::Listener | ( | void |  | ) |

| Definition at line 62 of file OgreMovableObject.h.

virtual Ogre::MovableObject::Listener::~Listener | ( |  | ) | `[virtual]`

| Definition at line 63 of file OgreMovableObject.h.

## Member Function Documentation

virtual void Ogre::MovableObject::Listener::objectAttached | ( | MovableObject * |  | ) | `[virtual]`

| MovableObject has been attached to a node. Definition at line 67 of file OgreMovableObject.h.

virtual void Ogre::MovableObject::Listener::objectDestroyed | ( | MovableObject * |  | ) | `[virtual]`

| MovableObject is being destroyed. Definition at line 65 of file OgreMovableObject.h.

virtual void Ogre::MovableObject::Listener::objectDetached | ( | MovableObject * |  | ) | `[virtual]`

| MovableObject has been detached from a node. Definition at line 69 of file OgreMovableObject.h.

virtual void Ogre::MovableObject::Listener::objectMoved | ( | MovableObject * |  | ) | `[virtual]`

| MovableObject has been moved. Definition at line 71 of file OgreMovableObject.h.

virtual const LightList* Ogre::MovableObject::Listener::objectQueryLights | ( | const MovableObject * |  | ) | `[virtual]`

Called when the movable object needs to query a light list.

Remarks:
  If you want to customize light finding for this object, you should override this method and hook into MovableObject via MovableObject::setListener. Be aware that the default method caches results within a frame to prevent unnecessary recalculation, so if you override this you should provide your own cacheing to maintain performance.

Note:
  If you use texture shadows, there is an additional restriction - since the lights which should have shadow textures rendered for them are determined based on the entire frustum, and not per-object, it is important that the lights returned at the start of this list (up to the number of shadow textures available) are the same lights that were used to generate the shadow textures, and they are in the same order (particularly for additive effects).

Returns:
  A pointer to a light list if you populated the light list yourself, or NULL to fall back on the default finding process.

Definition at line 96 of file OgreMovableObject.h.

References Ogre::LightList.

virtual bool Ogre::MovableObject::Listener::objectRendering | ( | const MovableObject * | ,
|  | const Camera * |
| ) | `[virtual]`

Called when the movable object of the camera to be used for rendering.

Returns:
  true if allows queue for rendering, false otherwise.

Definition at line 76 of file OgreMovableObject.h.

The documentation for this class was generated from the following file:

- OgreMovableObject.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:47:22 2008